package com.fjhx.common.service.file;

import com.alibaba.fastjson2.JSONObject;

import java.util.List;


public interface FtpFileService {
    /**
     * 创建临时文件夹
     */
    JSONObject createTempFolder();

    /**
     * 将临时文件移动到永久文件夹
     *
     * @return
     */
    JSONObject moveFolder(String sourceFolderPath, String targetFolderPath);

    /**
     * 获取文件夹中的文件下载地址列表
     */
    List<String> getFileList(String folderPath);
}
